org.apache.sling.maven.slingstart.launcher

## Interface LauncherMBean

All Known Implementing Classes:
  Launcher

    public interface LauncherMBean

The launcher MBean interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `startupFinished()` Notify the launcher about the finish of the startup.
`void` `startupProgress(Float ratio)` Notify the launcher about the progress of the startup.

### Method Detail

#### startupFinished

    void startupFinished()

Notify the launcher about the finish of the startup.

#### startupProgress

    void startupProgress(Float ratio)

Notify the launcher about the progress of the startup.

Parameters:
  `ratio` - Startup progress ratio